
powerup = {}
powerup.__index = powerup

function powerup:init()
	self.shield = {}
	self.shield.id = 19
	self.shield.width = tilesize
	self.shield.height = tilesize
	self.shield.state = "idle"
	self.shield.points = 100
	self.shield.img = love.graphics.newImage("res/gunflash.png")
	self.shield.obj = {}

	self.shield.pos = map:gettilepos(currentmap, {self.shield.id})
	for i = 1, #self.shield.pos do
		self.shield.obj[i] = {}
		self.shield.obj[i].x = self.shield.pos[i].x
		self.shield.obj[i].y = self.shield.pos[i].y
		self.shield.obj[i].anim = sprite:new(self.shield.img, tilesize, tilesize, {{"idle",1}})
		self.shield.obj[i].active = true
		currentmap[self.shield.pos[i].mapy][self.shield.pos[i].mapx] = 0
	end

end

function powerup:loop(dt)	
	for i = 1, #self.shield.obj do
		if self.shield.obj[i].active then
			local hitbox = {x = self.shield.obj[i].x, y = self.shield.obj[i].y, width = self.shield.width, height = self.shield.height , state = self.shield.state}
			if shortaabb(player,hitbox) then
				player.score = player.score + self.shield.points
				player.hp = player.hp + 1
				self.shield.obj[i].active = false
			end
			self.shield.obj[i].anim:draw(hitbox, 0.2)
			if gamedebug then
				love.graphics.setColor(255,255,0)
				love.graphics.rectangle("line", hitbox.x, hitbox.y,hitbox.width,hitbox.height)
			end
		end
	end

end

